Subject: Re: [PATCH] ethtool v4: add autoneg advertise feature

From: Auke Kok <[email-masked]>
Date: Thu, 24 Aug 2006 08:59:30 -0700

Michael Chan wrote:
> Jeff Kirsher wrote:
> 
>> The old way of setting autonegotiation was using the 
>> following command:
>> ethtool -s ethx speed 100 duplex full auto on
>> now the command would be
>> ethtool -s ethx auto on advertise 0x08
>> both commands would result in only advertising 100 FULL.
>>
>> There still needs to be a change made to the man file to reflect the
>> change in the behavior of ethtool, which I have not done.  But this
>> patch will allow for greater flexibility in setting autonegotiation
>> speeds.
> 
> It is more flexible, but less intuitive.  The user now has to
> remember hex values instead of the more intuitive speed and
> duplex.  Perhaps we can keep the old method of using speed and
> duplex, while adding the new method of specifying hex values? 

the patch doesn't remove the old method, it merely adds a second path to the 
speed/duplex setting. Using the "old" syntax will still work.

Cheers,

Auke